echo 
echo "# =========================================================================="
echo "# Samsung Galaxy Nexus Simple Root by AndroidForums 'scary alien'"
echo "#"
echo "# Written for and tested on Samsung Galaxy Nexus running stock Android 4.0.2"
echo "#"
echo "# This script will install the root binaries (su, Superuser.apk) on an"
echo "# unrooted GNex without needing to unlock the bootloader"
echo "#"
echo "# For additional details, credits, etc., please visit:"
echo "#"
echo "# http://androidforums.com/verizon-galaxy-nexus-all-things-root/499117-root-gnex-without-unlocking-bootloader-yep.html"
echo "#"
echo "# Instructions:"
echo "#"
echo "# 1) Make sure you have the adb USB device drivers installed"
echo "#"
echo "# 2) Make sure you have USB debugging enabled on your phone"
echo "#"
echo "# 3) Connect your phone and computer via your USB cable"
echo "#"
echo "# 4) Run this script from the same directory where the rest of the"
echo "#    files from the extracted .zip file are located"
echo "#"
echo "# =========================================================================="
echo "#"
systype=$(uname)   # what kind of system are we running?
if [[ "$systype" = "powerpc" ]]; then
 echo " *** Sorry, don't think this script will work on a PowerPC system"
 echo
 return 1
fi

if [[ "$systype" = "Darwin" ]]; then    # are we a Mac?
 adb="./adb-mac"
else
 adb="./adb-linux"     # must be Linux
fi
 
chmod a+x $adb    # make sure adb is executable

echo "Would you like to 'root' or 'unroot' your Galaxy Nexus?"
read answer
typeset -l function="$answer"
if [[ "$function" = @(root|unroot) ]]; then
 noop=1    # good answer
else
 echo " *** Sorry, I don't understand '$answer' as an option"
 echo "     Please try again and respond with either 'root' or 'unroot'."
 echo
 return 1
fi

echo
echo "Press the <enter> key to $function your Galaxy Nexus"
read -n 1 -s      # pause / wait for confirmation to continue
echo "[*] securing the adb utility..."
echo "#"
echo "[*] waiting for adb USB connectivity to your device"
sudo $adb wait-for-device
echo "#"
echo "[*] connectivity established! here we go! :)"
echo "#"
echo "[*] pushing our binaries and scripts over to the phone..."
$adb push mempodroid /data/local/mempodroid     # we need this to gain temporary root access
$adb push script1-${function}.sh /data/local/script1-${function}.sh
$adb push script2-${function}.sh /data/local/script2-${function}.sh
$adb shell chmod 777 /data/local/script1-${function}.sh
$adb shell chmod 777 /data/local/script2-${function}.sh
$adb shell chmod 777 /data/local/mempodroid

if [[ "$function" = "root" ]]; then
 $adb push su /data/local/su
 $adb push Superuser.apk /data/local/Superuser.apk
 echo "#"
 echo "[*] securing work files..."
 echo "#"
 echo "[*] rooting the phone..."
 $adb shell sh /data/local/script1-${function}.sh
 echo "#"
 echo "[*] cleaning-up /data/local..."
 $adb shell rm /data/local/su
 $adb shell rm /data/local/Superuser.apk
 echo "[*] rebooting your phone"
 $adb reboot
 echo "[*] waiting for reboot to complete"
 $adb wait-for-device
 echo "#"
 echo "# Congratulations, your GNex has just been rooted :)"
 echo "#"
 echo "# Use your new root powers carefully and wisely."
 echo "#"
fi
if [[ "$function" = "unroot" ]]; then
 echo "[*] un-rooting the phone..."
 $adb shell sh /data/local/script1-${function}.sh
 echo "[*] rebooting your phone"
 $adb reboot
 echo "[*] waiting for reboot to complete"
 $adb wait-for-device
 echo "#"
 echo
 echo "# your GNex has been un-rooted."
 echo
fi
echo "# final clean-up..."
$adb shell rm /data/local/mempodroid
$adb shell rm /data/local/script1-${function}.sh
$adb shell rm /data/local/script2-${function}.sh
echo
echo "# --- all done ---"
$adb kill-server
